Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AMM12/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/AMM12/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 15011)
@@ -26,7 +26,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,7 @@
    ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_Dt      =  360.     !  time step for the dynamics and tracer
+   rn_Dt       =  360.     !  time step for the dynamics and tracer
+   !
+   ln_c1d      = .true.    !  Single column domain (1x1pt)              (T => fill namc1d)
 /
 !-----------------------------------------------------------------------
@@ -83,17 +85,16 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-   rn_lat1d    =      50   !  Column latitude
-   rn_lon1d    =    -145   !  Column longitude
-   ln_c1d_locpt =  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+   rn_lat1d    =    50.    !  Column latitude
+   rn_lon1d    =  -145.    !  Column longitude
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 15011)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_xios key_linssh
+ bld::tool::fppkeys   key_xios key_linssh
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_ABL/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -61,13 +61,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -60,13 +60,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/README.rst
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/README.rst	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/README.rst	(revision 15011)
@@ -131,11 +131,11 @@
 its physical and numerical turbulent-mixing behaviour.
 
-| The water column setup, called NEMO1D, is activated with
-  the inclusion of the CPP key ``key_c1d`` and
-  has a horizontal domain of 3x3 grid points.
+| The water column setup, called NEMO1D, is activated by  
+  setting ``ln_c1d = .true.`` in ``namdom`` and
+  has a horizontal domain of 1x1 grid point.
 | This reference configuration uses 75 vertical levels grid (1m at the surface),
   GLS turbulence scheme with K-epsilon closure and the NCAR bulk formulae.
 
-Data provided with ``INPUTS_C1D_PAPA_v4.0.tar`` file account for:
+Data provided with ``INPUTS_C1D_PAPA_v4.2.tar`` file account for:
 
 - :file:`forcing_PAPASTATION_1h_y201[0-1].nc`:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SHARED/namelist_ref	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SHARED/namelist_ref	(revision 15011)
@@ -26,7 +26,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -76,4 +76,5 @@
    !
    ln_crs      = .false.   !  Logical switch for coarsening module      (T => fill namcrs)
+   ln_c1d      = .false.   !  Single column domain (1x1pt)              (T => fill namc1d)
    !
    ln_meshmask = .true.   !  =T create a mesh file
@@ -161,17 +162,16 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-   rn_lat1d    =      50   !  Column latitude
-   rn_lon1d    =    -145   !  Column longitude
-   ln_c1d_locpt =  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+   rn_lat1d    =    50.1   !  Column latitude
+   rn_lon1d    =  -144.9   !  Column longitude
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/WED025/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/WED025/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/cfgs/WED025/EXPREF/namelist_cfg	(revision 15011)
@@ -26,7 +26,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -82,13 +82,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 /
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/EXP00/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/EXP00/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/EXP00/namelist_cfg	(revision 15011)
@@ -26,7 +26,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -79,5 +79,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      30   !  Column latitude
@@ -86,10 +86,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/cpp_C1D_ASICS.fcm
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 15011)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_qco key_xios
+ bld::tool::fppkeys   key_qco key_xios
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CANAL/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CANAL/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CANAL/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CPL_OASIS/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CPL_OASIS/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/CPL_OASIS/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/DIA_GPU/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/DIA_GPU/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/DIA_GPU/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICB/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICB/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICB/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -68,13 +68,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_120pts	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_240pts	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV1D/EXPREF/namelist_cfg_60pts	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV2D/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_ADV2D/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/1_namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_AGRIF/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_RHEO/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_RHEO/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ICE_RHEO/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/EXPREF/namelist_cfg	(revision 15011)
@@ -27,7 +27,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -81,13 +81,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/MY_SRC/istate.F90
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/MY_SRC/istate.F90	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP+/MY_SRC/istate.F90	(revision 15011)
@@ -77,5 +77,5 @@
        CALL dta_tsd_init        ! Initialisation of T & S input data
 !!gm to be moved in usrdef of C1D case
-!      IF( lk_c1d )   CALL dta_uvd_init        ! Initialization of U & V input data
+!      IF( ln_c1d )   CALL dta_uvd_init        ! Initialization of U & V input data
 !!gm
 
@@ -138,5 +138,5 @@
          !
 !!gm to be moved in usrdef of C1D case
-!         IF ( ln_uvd_init .AND. lk_c1d ) THEN ! read 3D U and V data at nit000
+!         IF ( ln_uvd_init .AND. ln_c1d ) THEN ! read 3D U and V data at nit000
 !            ALLOCATE( zuvd(jpi,jpj,jpk,2) )
 !            CALL dta_uvd( nit000, zuvd )
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/ISOMIP/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -68,13 +68,13 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
 
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/LOCK_EXCHANGE/EXPREF/namelist_FCT2_flux_ubs_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/OVERFLOW/EXPREF/namelist_zps_FCT4_flux_ubs_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-an05_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-an05_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-an05_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-cstc_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-cstc_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-cstc_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lg15_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lg15_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lg15_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lu12_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lu12_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce+ice/namelist_ecmwf-lu12_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_andreas_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_andreas_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_andreas_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_coare3p6_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_coare3p6_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ecmwf_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ecmwf_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/ERA5/oce/namelist_ncar_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_andreas_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -47,5 +47,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_coare3p6_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -47,5 +47,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ecmwf_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -47,5 +47,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/EXPREF/PAPA/oce/namelist_ncar_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -47,5 +47,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -53,10 +53,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 15011)
@@ -273,5 +273,5 @@
                            CALL     phy_cst         ! Physical constants
                            CALL     eos_init        ! Equation of state
-      IF( lk_c1d       )   CALL     c1d_init        ! 1D column configuration
+      IF( ln_c1d       )   CALL     c1d_init        ! 1D column configuration
                            CALL     dom_init( Nbb, Nnn, Naa ) ! Domain
       IF( sn_cfctl%l_prtctl )   &
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/sbcssm.F90
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/sbcssm.F90	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/MY_SRC/sbcssm.F90	(revision 15011)
@@ -12,5 +12,5 @@
    !!----------------------------------------------------------------------
    USE oce            ! ocean dynamics and tracers variables
-   USE c1d            ! 1D configuration: lk_c1d
+   USE c1d            ! 1D configuration: ln_c1d
    USE dom_oce        ! ocean domain: variables
    USE sbc_oce        ! surface module: variables
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_andreas_cfg	(revision 15011)
@@ -16,7 +16,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -57,10 +57,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p0_cfg	(revision 15011)
@@ -16,7 +16,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -57,10 +57,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_coare3p6_cfg	(revision 15011)
@@ -16,7 +16,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -57,10 +57,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ecmwf_cfg	(revision 15011)
@@ -16,7 +16,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -57,10 +57,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/SANITY_CHECK/IDEALIZED/oce/namelist_ncar_cfg	(revision 15011)
@@ -16,7 +16,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,5 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options / STATION_ASF               ("key_c1d" default: PAPA station)
+&namc1d        !   1D configuration options / STATION_ASF               (ln_c1d =T default: PAPA station)
 !-----------------------------------------------------------------------
    rn_lat1d    =      50.1 !  Column latitude    [PAPA station]
@@ -57,10 +57,10 @@
 /
 !-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 15011)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_c1d key_qco key_xios
+ bld::tool::fppkeys   key_si3 key_qco key_xios
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/SWG/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/SWG/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/SWG/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/TSUNAMI/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/TSUNAMI/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/TSUNAMI/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration optgions                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration optgions                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/VORTEX/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
Index: /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/WAD/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/WAD/EXPREF/namelist_cfg	(revision 15010)
+++ /NEMO/branches/2021/ticket2680_C1D_PAPA/tests/WAD/EXPREF/namelist_cfg	(revision 15011)
@@ -12,7 +12,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
